
$(document).ready(function() {
    console.log("$('.feature_box'): ",$('.feature_box'))
    $('.feature_box').each(function(){
        var padd = centerPad($(this),$(".feature_box_content",this));
        $('.feature_box_content',this).css('padding-top',padd);
    })
});

$('.feature_box').each(function(){
        var padd = centerPad($(this),$(".feature_box_content",this));
        console.log("PADD: ",padd)
        $('.feature_box_content',this).css('padding-top',padd);
    })

$(".feature_box").hover(
  function(){
        $(".feature_box_description", this).css("display", "block");
        var padd = centerPad($(this),$('.feature_box_content',this));
        $('.feature_box_content',this).css('padding-top',padd);
        $(".feature_box_content", this).css("-webkit-transition", "all .3s ease-in-out");


  },
  function(){
      $(".feature_box_description", this).css("display", "none");
      var padd = centerPad($(this),$('.feature_box_content',this));
      $('.feature_box_content',this).css('padding-top',padd);
    }
);


function centerPad(elm,inner_elm){
    var elm_height = elm.height();
    var inner_elm_height = inner_elm.height();
    return (elm_height - inner_elm_height)/2;
}